Subject: bug#54173: 28.0.91; Training wheels for query-replace

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Feb 2022 12:55:12 +0200

> From: Augusto Stoffel <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 27 Feb 2022 11:17:08 +0100
> 
> >> I think ‘y’ and ‘n’ are intuitive enough that they don't need a
> >> reminder.  But mentioning the more uncommon ones (‘.’ and so on) without
> >> talking about ‘y’ and ‘n’ is weird.
> >
> > How about the below?
> >
> >   (‘y’/‘n’, ‘.’ replace & exit, ‘^’ back up, ‘?’ help)
> 
> I find this better than the status quo.  I've attached the patch.

Thanks.  Let's wait a bit to let others chime in and express their
opinions.

> >> One idea would be to choose between the short and long messages based on
> >> the size of the miniwindow as well as the length regexp and replacement
> >> text.
> >
> > That could also be a possibility.
> 
> Between this and your suggestion, I'm undecided what's better.  Perhaps
> this is more complicated than necessary.

Let's see what others think.